import java.util.*;
import javax.ejb.*;
import java.rmi.RemoteException;

public interface Cart extends EJBObject
{
	/** Adds an item to the cart
	 */
	public void add(String item) throws RemoteException;
	
	/**
	 * Gets the currently selected items
	 */
	public Collection getItems() throws RemoteException;
	
	/**
	 * Removes an item from the cart
	 */
	public void remove(String name) throws NotInCartException, RemoteException;
}
